
    (function() {
      var baseURL = "https://cdn.shopify.com/shopifycloud/checkout-web/assets/";
      var scripts = ["https://cdn.shopify.com/shopifycloud/checkout-web/assets/runtime.baseline.en.c2c33091dedc81f62ab7.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/258.baseline.en.ac0046c298f7f1fd6585.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/925.baseline.en.38c05a9e36f19f8e5451.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/185.baseline.en.b7a5700fc6edc287bbd3.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/app.baseline.en.01ddc595ee8a6092bd36.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/Information.baseline.en.bd0c26f8103423df0f67.js"];
      var styles = ["https://cdn.shopify.com/shopifycloud/checkout-web/assets/258.baseline.en.08a58b595f22ba2e391f.css","https://cdn.shopify.com/shopifycloud/checkout-web/assets/app.baseline.en.63ca4d6c6872d295b638.css","https://cdn.shopify.com/shopifycloud/checkout-web/assets/119.baseline.en.0eb15ca705152217d334.css"];
      var fontPreconnectUrls = [];
      var fontPrefetchUrls = [];
      var imgPrefetchUrls = ["https://cdn.shopify.com/s/files/1/0724/6639/9541/files/secure-checkout-narrow_x320.png?v=1688455411"];

      function preconnect(url, callback) {
        var link = document.createElement('link');
        link.rel = 'dns-prefetch preconnect';
        link.href = url;
        link.crossOrigin = '';
        link.onload = link.onerror = callback;
        document.head.appendChild(link);
      }

      function preconnectAssets() {
        var resources = [baseURL].concat(fontPreconnectUrls);
        var index = 0;
        (function next() {
          var res = resources[index++];
          if (res) preconnect(res[0], next);
        })();
      }

      function prefetch(url, as, callback) {
        var link = document.createElement('link');
        if (link.relList.supports('prefetch')) {
          link.rel = 'prefetch';
          link.fetchPriority = 'low';
          link.as = as;
          if (as === 'font') link.type = 'font/woff2';
          link.href = url;
          link.crossOrigin = '';
          link.onload = link.onerror = callback;
          document.head.appendChild(link);
        } else {
          var xhr = new XMLHttpRequest();
          xhr.open('GET', url, true);
          xhr.onloadend = callback;
          xhr.send();
        }
      }

      function prefetchAssets() {
        var resources = [].concat(
          scripts.map(function(url) { return [url, 'script']; }),
          styles.map(function(url) { return [url, 'style']; }),
          fontPrefetchUrls.map(function(url) { return [url, 'font']; }),
          imgPrefetchUrls.map(function(url) { return [url, 'image']; })
        );
        var index = 0;
        (function next() {
          var res = resources[index++];
          if (res) prefetch(res[0], res[1], next);
        })();
      }

      function onLoaded() {
        preconnectAssets();
        prefetchAssets();
      }

      if (document.readyState === 'complete') {
        onLoaded();
      } else {
        addEventListener('load', onLoaded);
      }
    })();
  